org.keycloak.broker.provider

## Class BrokeredIdentityContext

- java.lang.Object
- - org.keycloak.broker.provider.BrokeredIdentityContext

-     public class BrokeredIdentityContext
      extends Object

  Represents all identity information obtained from an `IdentityProvider` after a successful authentication.

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrokeredIdentityContext(String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBrokerSessionId()`
    `String` | `getBrokerUserId()`
    `ClientSessionModel` | `getClientSession()`
    `String` | `getCode()`
    `Map<String,Object>` | `getContextData()`
    `String` | `getEmail()`
    `String` | `getFirstName()`
    `String` | `getId()`
    `IdentityProvider` | `getIdp()`
    `IdentityProviderModel` | `getIdpConfig()`
    `String` | `getLastName()`
    `String` | `getModelUsername()` username to store in UserModel
    `String` | `getToken()`
    `String` | `getUserAttribute(String attributeName)`
    `String` | `getUsername()` Username in remote idp
    `void` | `setBrokerSessionId(String brokerSessionId)`
    `void` | `setBrokerUserId(String brokerUserId)`
    `void` | `setClientSession(ClientSessionModel clientSession)`
    `void` | `setCode(String code)`
    `void` | `setContextData(Map<String,Object> contextData)`
    `void` | `setEmail(String email)`
    `void` | `setFirstName(String firstName)`
    `void` | `setId(String id)`
    `void` | `setIdp(IdentityProvider idp)`
    `void` | `setIdpConfig(IdentityProviderModel idpConfig)`
    `void` | `setLastName(String lastName)`
    `void` | `setModelUsername(String modelUsername)`
    `void` | `setName(String name)`
    `void` | `setToken(String token)`
    `void` | `setUserAttribute(String attributeName, String attributeValue)`
    `void` | `setUsername(String username)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BrokeredIdentityContext

          public BrokeredIdentityContext(String id)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUsername

          public String getUsername()

      Username in remote idp
      Returns:

    - #### setUsername

          public void setUsername(String username)

    - #### getModelUsername

          public String getModelUsername()

      username to store in UserModel
      Returns:

    - #### setModelUsername

          public void setModelUsername(String modelUsername)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getBrokerSessionId

          public String getBrokerSessionId()

    - #### setBrokerSessionId

          public void setBrokerSessionId(String brokerSessionId)

    - #### getBrokerUserId

          public String getBrokerUserId()

    - #### setBrokerUserId

          public void setBrokerUserId(String brokerUserId)

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken(String token)

    - #### getCode

          public String getCode()

    - #### setCode

          public void setCode(String code)

    - #### getIdpConfig

          public IdentityProviderModel getIdpConfig()

    - #### setIdpConfig

          public void setIdpConfig(IdentityProviderModel idpConfig)

    - #### getIdp

          public IdentityProvider getIdp()

    - #### setIdp

          public void setIdp(IdentityProvider idp)

    - #### getContextData

          public Map<String,Object> getContextData()

    - #### setContextData

          public void setContextData(Map<String,Object> contextData)

    - #### setUserAttribute

          public void setUserAttribute(String attributeName,
                                       String attributeValue)

    - #### getUserAttribute

          public String getUserAttribute(String attributeName)

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName(String lastName)

    - #### getClientSession

          public ClientSessionModel getClientSession()

    - #### setClientSession

          public void setClientSession(ClientSessionModel clientSession)

    - #### setName

          public void setName(String name)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.